
Infrastructure - Bug #2984

NPE thrown during updateNodeCapabilities

2012-06-19 21:03 - Robert Waltz

Status: Closed Start date: 2012-06-19

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_cn_node_registry Estimated time: 0.00 hour

Target version: Sprint-2012.25-Block.4.1   

Milestone: CCI-1.0.2 Story Points:  

Product Version: *   

Description

If a node is created with 0 subjects, then the following errors are generated-

[DEBUG] 2012-06-19 19:41:38,820 (FrameworkServlet:processRequest:910) Could not complete request

java.lang.NullPointerException

at org.dataone.cn.rest.web.node.NodeController.updateNodeCapabilities(NodeController.java:210)

ALSO this!

[ERROR] 2012-06-19 19:41:38,817 (AnnotationMethodHandlerExceptionResolver:doResolveException:143) Invoking request

method resulted in exception : public void

org.dataone.cn.rest.web.AbstractWebController.handleException(org.dataone.service.exceptions.IdentifierNotUnique,javax.servlet.ht

tp.HttpServletRequest,javax.servlet.http.HttpServletResponse)

java.lang.IllegalStateException: Unsupported argument [org.dataone.service.exceptions.IdentifierNotUnique] for @ExceptionHandler

method: public void

org.dataone.cn.rest.web.AbstractWebController.handleException(org.dataone.service.exceptions.IdentifierNotUnique,javax.servlet.ht

tp.HttpServletRequest,javax.servlet.http.HttpServletResponse)

History

#1 - 2012-06-27 14:06 - Robert Waltz

- Subject changed from NPE thrown dufing updateNodeCapabilities to NPE thrown during updateNodeCapabilities

- Status changed from New to In Progress

#2 - 2012-07-03 01:41 - Robert Waltz

- Status changed from In Progress to Closed
